## cdebconf 0.149

=== debian/changelog ===
cdebconf (0.149) unstable; urgency=low

  [ Colin Watson ]
  * Remove unused variable in newt_initialize.
  * Silence compiler warning in dpkg-reconfigure when filling argv.

  [ Cyril Brulebois ]
  * Wrap label in GTK frontend to improve display of help dialogs.
  * Switch udeb from DirectFB to Xlib to prepare the move to an X11-based
    graphical installer (closes: #574285):
    - Replace libgtk-directfb-2.0-dev with libgtk2.0-dev, versioned to
      ensure the new udeb gets a dependency on libgtk-x11-udeb.
    - Bump the Build-Depends on libcairo2-dev to ensure the new udeb gets
      a dependency on libcairo2-udeb.
    - Disable DirectFB includes and dfb_input_device_reload_keymap().
    - Update libraries in pkg-config calls.
    - Set a default cursor after having switched to fullscreen.
  * Many thanks to Julien Cristau for his patches.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Omer Zak
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 02:07:33 +0100

cdebconf (0.148) unstable; urgency=low

  * Don't depends on rootskel-gtk in s390 since it is not available on
    this arch. This ought to be reverted back once rootskel-gtk is
    available for it.
  * Add ${misc:Depends} in depends fields.
  * Bump Standards-Version to 3.8.4.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Feb 2010 23:43:17 -0300

=== debian/control ===
Source: cdebconf
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.18.7-2), libcairo2-dev (>= 1.8.10-3)
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Provides: debconf-2.0
Suggests: cdebconf-gtk
Priority: extra
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.

Package: cdebconf-gtk
Architecture: any
Section: admin
Priority: optional
Depends: cdebconf, ${shlibs:Depends}, ${misc:Depends}
Replaces: cdebconf (<< 0.144)
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk is a minimal Gtk+ frontend cdebconf package.

Package: libdebconfclient0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is the libraries needed by libdebconfclient-dev and cdebconf.

Package: libdebconfclient0-dev
Architecture: any
Section: libdevel
Depends: libdebconfclient0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
Provides: libdebconfclient-dev
Replaces: libdebconf-dev
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: debconf-2.0
XC-Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the 
 debian-installer

Package: cdebconf-priority
Architecture: all
Section: debian-installer
Priority: standard
Depends: cdebconf-udeb
XC-Package-Type: udeb
XB-Installer-Menu-Item: 93000
Description: Change debconf priority
 This is a udeb that allows you to change the priority limit for the
 questions.

Package: libdebconfclient0-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
XC-Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is a udeb version of libdebconfclient0.

Package: cdebconf-text-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
XC-Package-Type: udeb
Description: Plain text frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-text-udeb is a basic plain text frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-slang-udeb
Architecture: disabled
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
XC-Package-Type: udeb
Description: S-Lang frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-slang-udeb is a minimal S-Lang frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-newt-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
XC-Package-Type: udeb
Description: Newt frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-newt-udeb is a minimal Newt frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-gtk-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, ${gtk:Depends}
XC-Package-Type: udeb
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
 by the debian-installer.

=== debian/rules ===
#! /usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

debbuild=debian/build-deb
udebbuild=debian/build-udeb

DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
CONFFILE=/etc/cdebconf.conf

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

DEB_FRONTENDS=passthrough text newt gtk
UDEB_FRONTENDS=passthrough text newt gtk

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif

# Ugly hack to omit dependency for s390 as that has rootskel-gtk on not-for-us
GTK_DEPENDS =
ifneq ($(ARCH), s390)
GTK_DEPENDS = rootskel-gtk
endif

build: build-deb build-udeb

$(debbuild)/config.status:
	CFLAGS="$(CFLAGS) $(SPEEDOPTFLAG)" \
	dh_auto_configure -B$(debbuild) -- \
		--without-rpath \
		--with-db="textdb rfc822db stack" \
		--with-frontend="$(DEB_FRONTENDS)" \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-deb: build-deb-stamp
build-deb-stamp: $(debbuild)/config.status
	dh_testdir
	dh_auto_build -B$(debbuild)
	touch $@

$(udebbuild)/config.status:
	CFLAGS="$(CFLAGS) $(SIZEOPTFLAG) -fomit-frame-pointer" \
	dh_auto_configure -B$(udebbuild) -- \
		--enable-d-i \
		--without-rpath --with-db="rfc822db stack" \
		--with-frontend="$(UDEB_FRONTENDS)" \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-udeb: build-udeb-stamp
build-udeb-stamp: $(udebbuild)/config.status
	dh_testdir
	dh_auto_build -B$(udebbuild)
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_auto_clean -B$(debbuild)
	dh_auto_clean -B$(udebbuild)
	[ ! -f globalmakeflags ] || $(MAKE) -C src/test clean
	dh_auto_clean
	dh_clean

install: install-arch install-indep

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb \
		TARGET=deb
	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb \
		TARGET=udeb
	dh_install -a

install-indep:

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdebconf -i
	dh_installdirs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installdebconf -s
	dh_installdirs -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s -- -Vgtk:Depends="$(GTK_DEPENDS)"
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.153

=== debian/changelog ===
cdebconf (0.153) unstable; urgency=low

  * Fix missing scrolling bar for some very long templates
    Closes: #605924

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Dec 2010 18:21:44 +0100

cdebconf (0.152) unstable; urgency=low

  * Compute stralign cell byte sizes in a separate pass after computing cell
    character widths.  This allows us to add correct per-cell padding of one
    byte per character difference from the maximum cell width.  The previous
    algorithm gave the wrong size when the cell with the longest byte length
    was not the cell with the longest character width (closes: #603459).
  * Don't bother padding cells in the last column.

  [ Updated translations ]
  * Sinhala (si.po) by Danishka Navin

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Nov 2010 11:09:10 +0000

cdebconf (0.151) unstable; urgency=low

  * Do not depends on rootskel-gtk on s390 and s390x.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beirovi
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Anders Jenbo
  * Esperanto (eo.po) by Felipe Castro
  * Persian (fa.po) by Ebrahim Byagowi
  * Icelandic (is.po) by Sveinn  Felli
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Korean (ko.po) by Changwoo Ryu
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Telugu (te.po) by Arjuna Rao Chavala
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 09:57:51 -0200

cdebconf (0.150) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Nepali (ne.po)
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Tamil (ta.po) by Dr,T,Vasudevan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Jul 2010 20:35:38 +0200

## cdebconf 0.153+squeeze2

=== Makefile ===
# This is just the bootstrapping makefile

all: cdebconf man

globalmakeflags:
	./configure

cdebconf: globalmakeflags
	$(MAKE) -C src

man:
	$(MAKE) -C man

configure: configure.ac
	autoconf

install:
	$(MAKE) -C src $@
	$(MAKE) -C man $@

clean: 
	rm -f *-stamp
	[ ! -f globalmakeflags ] || $(MAKE) -C src $@

distclean: clean
	rm -f config.status config.log config.cache globalmakeflags
	rm -rf autom4te.cache
	rm -f src/cdebconf.conf-dist src/Makefile src/config.h man/Makefile

.PHONY: cdebconf clean distclean

=== src/test/Makefile ===
include ../../globalmakeflags
CFLAGS += -I..
BIN=configtest dbtest
OBJS=$(subst .c,.o,$(wildcard *.c))
LDFLAGS=-Wl,-rpath,$(shell cd ..; pwd) -ldl

all: $(BIN)

configtest: ../strutl.o ../configuration.o configtest.o ../debug.o
	$(CC) $(LDFLAGS) -o $@ $^

dbtest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o dbtest.o ../debug.o
	$(CC) -o $@ $^ $(LDFLAGS)

fetest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o ../frontend.o fetest.o
	$(CC) -o $@ $^ $(LDFLAGS)

#strtest: ../strutl.o strtest.o
#	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	-rm -f $(BIN) $(OBJS) *.dat *~

=== src/modules/db/rfc822db/Makefile ===
MODULE=rfc822db
SOBJ=rfc822db.so
OBJS=rfc822db.opic

MODLDFLAGS=-ldebian-installer

include ../modules.mak

CFLAGS+= -I./table

=== src/modules/frontend/corba/Makefile ===
# $Id$

# This is wrong 8:P  (Hey, big nose? Or girlie hair?)
MODULE=corba
SOBJ = corba.so
OBJS = corba.opic
include ../modules.mak

PROJ = dcf
PROJ_SERV = $(PROJ)-text
PROJ_SERVSRC = $($(PROJ)-text:%=%.c)
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_IDLFLAGS = --skeleton-impl
ORBIT_IDLTARGETS = $(PROJ)-stubs.c $(PROJ)-skels.c $(PROJ)-common.c $(PROJ).h
GNOME_CFLAGS = $(shell gnome-config --cflags gnome gnomeui gnorba gtk)
GNOME_LIBS = $(shell gnome-config --libs gnome gnomeui gnorba gtk)
CFLAGS += $(MODCFLAGS) $(GNOME_CFLAGS)
LDFLAGS = $(MODLDFLAGS) $(GNOME_LIBS)

$(PROJ)-all: $(ORBIT_IDLTARGETS) $(PROJ_SERV)

$(OBJS): $(ORBIT_IDLTARGETS)

$(PROJ)-text: $(PROJ)-text.o $(PROJ)-skels.o $(PROJ)-common.o
	$(CC) -o $(PROJ)-text $^ $(LDFLAGS)

$(ORBIT_IDLTARGETS): $(PROJ).idl
	$(ORBIT_IDL) $(ORBIT_IDLFLAGS) $<

$(PROJ_SERVSRC): $(PROJ).h

$(PROJ)-clean:
	-rm *.[oa] $(PROJ)-text

$(PROJ)-distclean: $(PROJ)-clean
	-rm -f $(PROJ)-stubs.[oc] $(PROJ)-skels.[oc] $(PROJ)-skelimpl.[oc] \
		$(PROJ)-common.[oc] $(PROJ).h

.PHONY: $(PROJ)-all $(PROJ)-clean $(PROJ)-distclean

=== src/modules/frontend/gtk/Makefile ===
include ../../../../globalmakeflags

MODULE = gtk
SOBJ = gtk.so
OBJS = cdebconf_gtk.opic \
       select_handlers.opic \
       descriptions.opic \
       choice_model.opic \
       progress.opic \
       go.opic \
       handlers.opic \
       ui.opic \
       align_text_renderer.opic

ifneq ($(strip $(filter -DDI_UDEB, $(CFLAGS))),)
OBJS += screenshot.opic di.opic
MODCFLAGS = `pkg-config --cflags gtk+-x11-2.0 \
                                 gthread-2.0`
MODLDFLAGS = `pkg-config --libs gtk+-x11-2.0 \
                                gthread-2.0` -ldebian-installer
else
MODCFLAGS = `pkg-config --cflags gtk+-2.0 gthread-2.0`
MODLDFLAGS = `pkg-config --libs gtk+-2.0 gthread-2.0` -ldebian-installer
endif

# XXX: Does not work because of a path issue, needs to be fixed.
#MODLDFLAGS += -Wl,--version-script=linker-script

# let the type char be unsigned by default
MODCFLAGS += -funsigned-char
# apply strict aliasing rules
MODCFLAGS += -fstrict-aliasing
# turn on all common warnings
MODCFLAGS += -Wall
# turn on extra warnings
MODCFLAGS += -W
# treat warnings as errors
MODCFLAGS += -Werror
# warn about undefined preprocessor identifiers
MODCFLAGS += -Wundef
# warn about casting of pointers to increased alignment requirements
# (XXX: can't be used due to broken GTK_PROGRESS_BAR)
#MODCFLAGS += -Wcast-align
# make string constants const
MODCFLAGS += -Wwrite-strings
# warn about comparisons between signed and unsigned values
MODCFLAGS += -Wsign-compare
# warn about unused declared stuff
MODCFLAGS += -Wno-unused-parameter
# warn about variables which are initialized with themselves
MODCFLAGS += -Winit-self
# warn about pointer arithmetic on void* and function pointers
MODCFLAGS += -Wpointer-arith
# warn about multiple declarations
MODCFLAGS += -Wredundant-decls
# do not warn about zero-length formats.
MODCFLAGS += -Wno-format-zero-length
# missing prototypes
MODCFLAGS += -Wmissing-prototypes
# warn about functions without format attribute that should have one
MODCFLAGS += -Wmissing-format-attribute

include ../modules.mak

install::
ifneq ($(TARGET),udeb)
	install -m 644 ${srcdir}/src/modules/frontend/gtk/cdebconf_gtk.h $(DESTDIR)${incdir}
endif

=== src/modules/frontend/ncurses/Makefile ===
MODULE=ncurses
SOBJ=ncurses.so
OBJS=ncurses.opic

#MODCFLAGS=-DUSESLANG
#MODLDFLAGS=-lslang
MODLDFLAGS=-lncurses

include ../modules.mak

=== src/modules/frontend/newt/Makefile ===
MODULE=newt
SOBJ=newt.so
OBJS=newt.opic

MODLDFLAGS=-lnewt -lslang

include ../modules.mak

install::
ifneq ($(TARGET),udeb)
	install -m 644 ${srcdir}/src/modules/frontend/newt/cdebconf_newt.h $(DESTDIR)${incdir}
endif

=== src/modules/frontend/passthrough/Makefile ===
MODULE=passthrough
SOBJ=passthrough.so
OBJS=passthrough.opic

include ../modules.mak

=== src/modules/frontend/slang/Makefile ===
MODULE=slang
SOBJ=slang.so
OBJS=slang.opic

MODLDFLAGS=-lslang
MODCFLAGS=-DUTF8

include ../modules.mak

=== debian/changelog ===
cdebconf (0.153+squeeze2) squeeze; urgency=low

  * No-changes upload to get rid of the .git directory in the source package.

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Mar 2011 11:19:23 +0100

cdebconf (0.153+squeeze1) squeeze; urgency=low

  [ Joey Hess ]
  * Support window managed use of the gtk frontend, by asking
    the WM to fullscreen d-i, thus leaving room for decorations etc.
    Closes: #605401 (Patch from Ben Armstrong)

 -- Otavio Salvador <otavio@debian.org>  Fri, 11 Mar 2011 19:09:19 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.18.7-2), libcairo2-dev (>= 1.8.10-3)
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
+Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
 
@@ -149,7 +149,7 @@
 Architecture: any
 Section: debian-installer
 Priority: optional
-Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, ${gtk:Depends}
+Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
 XC-Package-Type: udeb
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is

=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,6 @@
 	SIZEOPTFLAG=
 	SPEEDOPTFLAG=
 	DEBUG_CONFIGURE_OPT=--with-debug=yes
-endif
-
-# Ugly hack to omit dependency for s390 as that has rootskel-gtk on not-for-us
-GTK_DEPENDS =
-ifneq ($(ARCH), s390)
-GTK_DEPENDS = rootskel-gtk
 endif
 
 build: build-deb build-udeb
@@ -122,7 +116,7 @@
 	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
 	dh_installdeb -s
 	dh_shlibdeps -s
-	dh_gencontrol -s -- -Vgtk:Depends="$(GTK_DEPENDS)"
+	dh_gencontrol -s
 	dh_md5sums -s
 	dh_builddeb -s

## cdebconf 0.154ubuntu2

=== debian/changelog ===
cdebconf (0.154ubuntu2) natty; urgency=low

  Fix for LP: #730672
  * src/modules/frontend/newt/newt.c:
    - use Ubuntu newt's new ability to read palette from configuration file
    - establish a symlink to /etc/newt/palette at initialization according
      to an optional FRONTEND_BACKGROUND kernel parameter
  * debian/palette*, debian/cdebconf-newt-udeb.install:
    - install palettes for [original, dark, ubuntu]
    - install a default /etc/newt/palette symlink to /etc/newt/palette.ubuntu
    - other derivatives can install their palette at /etc/newt/palette.FOO
      and set the FRONTEND_BACKGROUND=FOO kernel parameter

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 29 Mar 2011 12:22:21 -0500

cdebconf (0.154ubuntu1) natty; urgency=low

  * Appease compiler warnings in align_text_renderer_render.  (In practice
    x_offset and y_offset are never uninitialised here, but knowing that
    requires knowing that cell_area can never be NULL.)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Feb 2011 13:32:53 +0000

cdebconf (0.154) unstable; urgency=low

  [ Joey Hess ]
  * Support window managed use of the gtk frontend, by asking
    the WM to fullscreen d-i, thus leaving room for decorations etc.
    Closes: #605401 (Patch from Ben Armstrong)

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Sat, 12 Feb 2011 20:11:12 -0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.18.7-2), libcairo2-dev (>= 1.8.10-3)
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Standards-Version: 3.8.4
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/cdebconf.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
 
 Package: cdebconf
 Architecture: any

## cdebconf 0.156

=== debian/changelog ===
cdebconf (0.156) unstable; urgency=low

  [ Regis Boudin ]
  * Add cdebconf versions of debconf-escape, debconf-get-selections,
    debconf-set-selections, and debconf-show. (Initial debconf-escape code by
    Colin Watson.)
  * Fix FTBFS with the future GCC 4.6.1 (Closes: #625317).
  * Implement handling of multiple flags in the rfc822db backend. Fix some
    issue in it, thanks to Samuel Thibault (Closes: #628084).
  * dpkg-reconfigure :
    + Update g_frontend after each run of confmodule, in case it was changed.
      Closes: #442287.
    + Load the questions and templates dbs before the frontend to avoid being
      overridden by the value of debconf/frontend. See #442287 for more info.
    + Fix call to getline() to stop when reaching the end of the file.
    + Let getline() realloc the buffer instead of freeing it every time.
    + Set _cmdline::frontend instead of DEBIAN_FRONTEND.
    + Compare the variable script instead of the constant string "script" with
      "config".

  [ Samuel Thibault ]
  * Add -lpthread to fix loading on hurd the gtk backend which needs it.

 -- Regis Boudin <regis@debian.org>  Tue, 28 Jun 2011 20:55:15 +0100

cdebconf (0.155) unstable; urgency=low

  [ Colin Watson ]
  * Appease compiler warnings in align_text_renderer_render.  (In practice
    x_offset and y_offset are never uninitialised here, but knowing that
    requires knowing that cell_area can never be NULL.)
  * Make some more variables and functions static (in programs - no library
    ABI changes).
  * Use 'dpkg-query --control-path' in dpkg-reconfigure rather than
    hardcoding /var/lib/dpkg/info (closes: #616060).
  * Use getline rather than a fixed-length buffer in dpkg-reconfigure
    getfield.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uighur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Apr 2011 22:33:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.18.7-2), libcairo2-dev (>= 1.8.10-3)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Standards-Version: 3.8.4
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
-XS-Debian-Vcs-Git: git://git.debian.org/d-i/cdebconf.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
+Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
+Vcs-Git: git://git.debian.org/d-i/cdebconf.git
 
 Package: cdebconf
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, dpkg (>= 1.15.4)
 Provides: debconf-2.0
 Suggests: cdebconf-gtk
 Priority: extra
@@ -25,7 +23,6 @@
 Package: cdebconf-gtk
 Architecture: any
 Section: admin
-Priority: optional
 Depends: cdebconf, ${shlibs:Depends}, ${misc:Depends}
 Replaces: cdebconf (<< 0.144)
 Description: Gtk+ frontend for Debian Configuration Management System
@@ -92,7 +89,6 @@
 Package: libdebconfclient0-udeb
 Architecture: any
 Section: debian-installer
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
 XC-Package-Type: udeb
 Description: Debian Configuration Management System (C-implementation)
@@ -106,7 +102,6 @@
 Package: cdebconf-text-udeb
 Architecture: any
 Section: debian-installer
-Priority: optional
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
 XC-Package-Type: udeb
 Description: Plain text frontend for Debian Configuration Management System
@@ -121,7 +116,6 @@
 Package: cdebconf-slang-udeb
 Architecture: disabled
 Section: debian-installer
-Priority: optional
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
 XC-Package-Type: udeb
 Description: S-Lang frontend for Debian Configuration Management System
@@ -136,7 +130,6 @@
 Package: cdebconf-newt-udeb
 Architecture: any
 Section: debian-installer
-Priority: optional
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
 XC-Package-Type: udeb
 Description: Newt frontend for Debian Configuration Management System
@@ -151,7 +144,6 @@
 Package: cdebconf-gtk-udeb
 Architecture: any
 Section: debian-installer
-Priority: optional
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
 XC-Package-Type: udeb
 Description: Gtk+ frontend for Debian Configuration Management System

## cdebconf 0.157

=== src/modules/db/rfc822db/Makefile ===
--- 
+++ 
@@ -5,5 +5,3 @@
 MODLDFLAGS=-ldebian-installer
 
 include ../modules.mak
-
-CFLAGS+= -I./table

=== src/modules/frontend/gtk/Makefile ===
--- 
+++ 
@@ -14,14 +14,12 @@
 
 ifneq ($(strip $(filter -DDI_UDEB, $(CFLAGS))),)
 OBJS += screenshot.opic di.opic
-MODCFLAGS = `pkg-config --cflags gtk+-x11-2.0 \
-                                 gthread-2.0`
-MODLDFLAGS = `pkg-config --libs gtk+-x11-2.0 \
-                                gthread-2.0` -ldebian-installer
-else
-MODCFLAGS = `pkg-config --cflags gtk+-2.0 gthread-2.0`
-MODLDFLAGS = `pkg-config --libs gtk+-2.0 gthread-2.0` -ldebian-installer
 endif
+
+MODCFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/gio-unix-2.0/  
+MODLDFLAGS = -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lcairo -lfreetype -lfontconfig -lpango-1.0 -lgmodule-2.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  
+
+MODCFLAGS += -DGTK_DISABLE_DEPRECATED
 
 # XXX: Does not work because of a path issue, needs to be fixed.
 #MODLDFLAGS += -Wl,--version-script=linker-script

=== src/modules/frontend/newt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SOBJ=newt.so
 OBJS=newt.opic
 
-MODLDFLAGS=-lnewt -lslang
+MODLDFLAGS=-lnewt -lslang   -ltextwrap
 
 include ../modules.mak

=== debian/changelog ===
cdebconf (0.157) unstable; urgency=low

  [ Regis Boudin ]
  * Switch to dpkg format 3.0 native.
  * Add build-arch and build-indep targets to debian/rules.
  * Bump Standards-Version to 3.9.2.
  * Stop passing -ldl when linking libdebconfclient, unneeded.
  * Try to create the database files if they don't exist. Closes: #451130.
  * Only link libdebconf.so to libtextwrap, not the applications. However, if
    enabled, explicitly link the newt module to it, instead of resolving the
    symbols indirectly through libdebconf.so.
  * Make debconf --priority actually set the priority.
  * Give live libdebconfclient0 a different short description, making lintian
    happier.
  * Fix dpkg-reconfigure to pass parameters again when calling scripts.
  * Implement dpkg-preconfigure (Closes: #442293).
  * Improve detection of the package name, automatically load the .templates
    file, and run the .config file is they exist. Closes: #537536.
  * Fix memory leak in text frontend.
  * Rework setting of values while running with a frontend, to use debconf-
    relevant settings (e.g. debconf/priority or debconf/frontend).
  * Fix naming collision between handlers in the frontends shared objects.
  * Rework frontend loading to enable change while running, and be more robust.

  [ Colin Watson ]
  * Emit slightly more compact error messages for unknown localised fields.

 -- Regis Boudin <regis@debian.org>  Wed, 10 Aug 2011 18:50:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.18.7-2), libcairo2-dev (>= 1.8.10-3)
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
 Vcs-Git: git://git.debian.org/d-i/cdebconf.git
 
@@ -36,7 +36,7 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Debian Configuration Management System (C-implementation)
+Description: Debian Configuration Management System (C-implementation library)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
  installed. This is a reimplementation of the original debconf version

## cdebconf 0.158

=== debian/changelog ===
cdebconf (0.158) unstable; urgency=low

  [ Regis Boudin ]
  * Make more checks at configure time for libs existence.
  * Bring the GTK frontend in line with GTK 2.24 :
    + Compile with GTK_DISABLE_DEPRECATED
    + Compile with GSEAL_ENABLE
    + Use GDK_KEY_* instead of GDK_*
  * Add myself to Uploaders.
  * Factor common code in text frontend, fixing a memory leak.
  * dpkg-reconfigure.c : getfield() reads the status of packages by calling
    dpkg-query instead of manually parsing /var/lib/dpkg/status.
  * Add a symbols file for libdebconfclient0.
  * Stop shipping config and templates directories in /var/lib/cdebconf, which
    are unused.
  * Manage the special case of a metaget owners, returning a comma-separated
    list of the owners. It returned an empty string before.
  * Add cdebconf preinst, postinst, config, and templates files to be able to
    configure frontend and priority.

  [ Samuel Thibault ]
  * Use commas to separate choices for proper speech synthesis.
    Closes: #634076.

 -- Regis Boudin <regis@debian.org>  Sun, 20 Nov 2011 14:45:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.18.7-2), libcairo2-dev (>= 1.8.10-3)
+Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.24), libcairo2-dev (>= 1.8.10-3)
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
+Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>, Regis Boudin <regis@debian.org>
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
 Vcs-Git: git://git.debian.org/d-i/cdebconf.git

## cdebconf 0.158ubuntu1

=== debian/changelog ===
cdebconf (0.158ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
  * Build cleanly with glib >= 2.31.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Dec 2011 17:56:04 +0000

cdebconf (0.157ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 22:48:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.24), libcairo2-dev (>= 1.8.10-3)
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>, Regis Boudin <regis@debian.org>
 Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
-Vcs-Git: git://git.debian.org/d-i/cdebconf.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/cdebconf.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
 
 Package: cdebconf
 Architecture: any

## cdebconf 0.159

=== debian/changelog ===
cdebconf (0.159) unstable; urgency=low

  [ Regis Boudin ]
  * Implement and enable escape CAPB. Most of the work was actually done by
    Colin Watson. Closes: #537535.
  * Update the config script and templates.
  * Fix the template import to cope with files templates that have no type or
    short description.
  * Actually implement the dpkg-reconfigure --force and --no-reload options.
  * Make dpkg-reconfigure --all actually work.
  * Set DPKG_MAINTSCRIPT_* in dpkg-reconfigure to avoid confusing scripts
    using dpkg-maintscript-helper.
  * Make STOP actually stop the processing and wait for the child to finish.
    This fixes some postinst scripts stalling.
  * Bump Standards-Version to 3.9.3. No additional change required.
  * Lower priority of cdebconf-gtk to extra, same as cdebconf, to avoid the
    dependency on a package with lower priority.

  [ Colin Watson ]
  * Build cleanly with glib >= 2.31.
  * Remove unnecessary NULL checks before calling free.

 -- Regis Boudin <regis@debian.org>  Mon, 12 Mar 2012 20:18:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk2.0-dev (>= 2.24), libcairo2-dev (>= 1.8.10-3)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>, Regis Boudin <regis@debian.org>
-Standards-Version: 3.9.2
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
-XS-Debian-Vcs-Git: git://git.debian.org/d-i/cdebconf.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/cdebconf/ubuntu
+Standards-Version: 3.9.3
+Vcs-Browser: http://git.debian.org/?p=d-i/cdebconf.git
+Vcs-Git: git://git.debian.org/d-i/cdebconf.git
 
 Package: cdebconf
 Architecture: any
@@ -27,6 +25,7 @@
 Section: admin
 Depends: cdebconf, ${shlibs:Depends}, ${misc:Depends}
 Replaces: cdebconf (<< 0.144)
+Priority: extra
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are

## cdebconf 0.172ubuntu1

=== debian/changelog ===
cdebconf (0.172ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Aug 2012 18:23:32 +0100

cdebconf (0.172) unstable; urgency=low

  * Add myself to Uploaders and remove inactive developers from there

  [ Updated translations ]
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by Arvinder Singh Kang

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Aug 2012 22:19:19 +0200

cdebconf (0.171) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 Jul 2012 23:15:58 +0200

cdebconf (0.170ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Jul 2012 11:11:30 +0100

cdebconf (0.170) unstable; urgency=low

  * Team upload
  
  [ Updated translations]
  * Malayalam (ml.po) by Praveen Arimbrathodiyil

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 11:39:28 +0200

cdebconf (0.169) unstable; urgency=low

  * Team upload

  [ Regis Boudin ]
  * Convert the deprecated structure initializer designators to ISO ones.
  * src/template.c : Initialize to 0 the entire allocated structure, instead of
    only the size a pointer.

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 08:10:36 +0200

cdebconf (0.168) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Dzongkha (dz.po) by Dawa

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Jun 2012 20:00:35 +0200

cdebconf (0.167) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Macedonian (mk.po) by Arangel Angov
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Jun 2012 20:35:02 +0200

cdebconf (0.166ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jun 2012 10:16:15 +0100

cdebconf (0.166) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Jun 2012 06:24:52 +0200

cdebconf (0.165) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala
  * Vietnamese (vi.po) by Nguyen Vu Hung

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Jun 2012 18:28:20 +0200

cdebconf (0.164) unstable; urgency=low

  * Team upload
  * Bump debhelper compatibility level to 9

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Estonian (et.po) by Mattias Põldaru
  * Polish (pl.po) by Michał Kułach
  * Telugu (te.po) by Arjuna Rao Chavala
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by 林博仁

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jun 2012 19:27:13 +0200

cdebconf (0.163) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Jun 2012 07:04:29 +0200

cdebconf (0.162) unstable; urgency=low

  * Team upload
  * Turn XC-Package-Type into Package-Type

  [ Updated translations ]
  * Welsh (cy.po) by Dafydd Tomos
  * Danish (da.po) by Joe Hansen
  * Galician (gl.po) by Jorge Barreiro
  * Telugu (te.po) by Arjuna Rao Chavala


 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 18:41:25 +0200

cdebconf (0.161ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jun 2012 14:14:04 +0100

cdebconf (0.161) unstable; urgency=low

  [Christian Perrier]
  * Mark all debconf templates as translatable (except those for internal use)
    Use D-I sublevel 6 for new templates

  [Regis Boudin]
  * When FGETing a non-existing flag, return false, instead of an error. This
    is closer to the debconf behaviour, although cdebconf cannot be used to set
    arbitrary flag.
  * dpkg-preconfigure: check for the existence of apt-extracttemplates before
    trying to use it.
  * install a cdebconf_text.h, exporting useful macros and function for
    plugins.
  * Pass LDFLAGS when linking shared libs as well as programs.
  * Fix passing of DPKG_MAINTSCRIPT_* to be multi-arch compliant in
    dpkg-reconfigure.
  * Process triggers caused by dpkg-reconfigure. cf #560317.
  * Remove questions if after unregister or purge there's no owner left.
    Closes: #411585.

 -- Regis Boudin <regis@debian.org>  Sun, 10 Jun 2012 14:33:35 +0200

cdebconf (0.160ubuntu1) quantal; urgency=low
